<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>

    <link href="../css/bootstrap-combined.no-icons.min.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/prism.css" rel="stylesheet" media="all"/>
    <link href="../css/template.css" rel="stylesheet" media="all"/>
    
    <!--[if lt IE 9]>
    <script src="../js/html5.js"></script>
    <![endif]-->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../js/ui/1.10.4/jquery-ui.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/jquery.smooth-scroll.js"></script>
    <script src="../js/prism.min.js"></script>
    <!-- TODO: Add http://jscrollpane.kelvinluck.com/ to style the scrollbars for browsers not using webkit-->
    <script type="text/javascript">
    function loadExternalCodeSnippets() {
        Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach(function (pre) {
            var src = pre.getAttribute('data-src');
            var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
            var language = 'php';

            var code = document.createElement('code');
            code.className = 'language-' + language;

            pre.textContent = '';

            code.textContent = 'Loading…';

            pre.appendChild(code);

            var xhr = new XMLHttpRequest();

            xhr.open('GET', src, true);

            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4) {

                    if (xhr.status < 400 && xhr.responseText) {
                        code.textContent = xhr.responseText;

                        Prism.highlightElement(code);
                    }
                    else if (xhr.status >= 400) {
                        code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                    }
                    else {
                        code.textContent = '✖ Error: File does not exist or is empty';
                    }
                }
            };

            xhr.send(null);
        });
    }

    $(document).ready(function(){
        loadExternalCodeSnippets();
    });
    $('#source-view').on('shown', function () {
        loadExternalCodeSnippets();
    })
</script>

    <link rel="shortcut icon" href="../images/favicon.ico"/>
    <link rel="apple-touch-icon" href="../images/apple-touch-icon.png"/>
    <link rel="apple-touch-icon" sizes="72x72" href="../images/apple-touch-icon-72x72.png"/>
    <link rel="apple-touch-icon" sizes="114x114" href="../images/apple-touch-icon-114x114.png"/>
</head>
<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <i class="icon-ellipsis-vertical"></i>
            </a>
            <a class="brand" href="../index.html">API Documentation</a>

            <div class="nav-collapse">
                <ul class="nav pull-right">
                                        <li class="dropdown">
                        <a href="../index.html" class="dropdown-toggle" data-toggle="dropdown">
                            API Documentation <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                                                        <li><a href="../namespaces/warden.html">\warden</a></li>
                                                    </ul>
                    </li>
                                        <li class="dropdown" id="charts-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Charts <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../graphs/class.html">
                                    <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="dropdown" id="reports-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Reports <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../reports/errors.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <i class="icon-list-alt"></i>&#160;Errors <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/markers.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <i class="icon-list-alt"></i>&#160;Markers <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/deprecated.html">
                                                                                                            <i class="icon-list-alt"></i>&#160;Deprecated <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!--<div class="go_to_top">-->
    <!--<a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>-->
    <!--</div>-->
</div>

<div id="___" class="container-fluid">
        <section class="row-fluid">
        <div class="span2 sidebar">
                                <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle " data-toggle="collapse" data-target="#namespace-1212498549"></a>
                                <a href="../namespaces/default.html" style="margin-left: 30px; padding-left: 0">\</a>
            </div>
            <div id="namespace-1212498549" class="accordion-body collapse in">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-1812081416"></a>
                                <a href="../namespaces/warden.html" style="margin-left: 30px; padding-left: 0">warden</a>
            </div>
            <div id="namespace-1812081416" class="accordion-body collapse ">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-1557490998"></a>
                                <a href="../namespaces/warden.src.html" style="margin-left: 30px; padding-left: 0">src</a>
            </div>
            <div id="namespace-1557490998" class="accordion-body collapse ">
                <div class="accordion-inner">

                    
                    <ul>
                                                    <li class="interface"><a href="../classes/warden.src.DAO.html">DAO</a></li>
                                                                                                    <li class="class"><a href="../classes/warden.src.DAOFactory.html">DAOFactory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.IdeaCategory.html">IdeaCategory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.MysqlDAO.html">MysqlDAO</a></li>
                                                    <li class="class"><a href="../classes/warden.src.Warden.html">Warden</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenFileSystem.html">WardenFileSystem</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenManager.html">WardenManager</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenPool.html">WardenPool</a></li>
                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

        </div>
    </section>
    <section class="row-fluid">
        <div class="span10 offset2">
            <div class="row-fluid">
                <div class="span8 content class">
                    <nav>
                                                <a href="../namespaces/warden.src.html">\warden\src</a> <i class="icon-level-up"></i>
                                            </nav>
                    <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal"><i class="icon-code"></i></a>

                    <h1><small>\warden\src</small>Warden</h1>
                    <p><em>Class that represents the &#039;idea&#039; file</em></p>
                    
                    
                                        
                    <section id="summary">
                        <h2>Summary</h2>
                        <section class="row-fluid heading">
                            <section class="span4">
                                <a href="#methods">Methods</a>
                            </section>
                            <section class="span4">
                                <a href="#properties">Properties</a>
                            </section>
                            <section class="span4">
                                <a href="#constants">Constants</a>
                            </section>
                        </section>
                        <section class="row-fluid public">
                            <section class="span4">
                                                                    <a href="../classes/warden.src.Warden.html#method___toString" class="">__toString()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_jsonSerialize" class="">jsonSerialize()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getId" class="">getId()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getName" class="">getName()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getHash" class="">getHash()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getFormat" class="">getFormat()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getDetectTime" class="">getDetectTime()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getCategory" class="">getCategory()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getCount" class="">getCount()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getHex" class="">getHex()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_getActive" class="">getActive()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setId" class="">setId()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setName" class="">setName()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setHash" class="">setHash()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setFormat" class="">setFormat()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setDetectTime" class="">setDetectTime()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setCategory" class="">setCategory()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setCount" class="">setCount()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setActive" class="">setActive()</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#method_setHex" class="">setHex()</a><br />
                                                            </section>
                            <section class="span4">
                                                                    <em>No public properties found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No constants found</em>
                                                            </section>
                        </section>
                        <section class="row-fluid protected">
                            <section class="span4">
                                                                    <em>No protected methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No protected properties found</em>
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                        <section class="row-fluid private">
                            <section class="span4">
                                                                    <em>No private methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <a href="../classes/warden.src.Warden.html#property__id" class="">$_id</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__name" class="">$_name</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__hash" class="">$_hash</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__format" class="">$_format</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__detectTime" class="">$_detectTime</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__category" class="">$_category</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__count" class="">$_count</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__hex" class="">$_hex</a><br />
                                                                    <a href="../classes/warden.src.Warden.html#property__active" class="">$_active</a><br />
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                    </section>
                </div>
                <aside class="span4 detailsbar">
                                        
                    
                    <dl>
                        <dt>File</dt>
                            <dd><a href="../files/Warden.html"><div class="path-wrapper">Warden.php</div></a></dd>
                                                <dt>Package</dt>
                            <dd><div class="namespace-wrapper">Entity</div></dd>
                                                <dt>Class hierarchy</dt>
                            <dd class="hierarchy">
                                                                                                                                                                    <div class="namespace-wrapper">\warden\src\Warden</div>
                            </dd>

                                                                            <dt>Implements</dt>
                                                        <dd><a href=""><div class="namespace-wrapper"></div></a></dd>
                        
                        
                        
                                                                            <dt>See also</dt>
                                                                                        <dd><a href="http://https://gitlab.com/protective-h2020-eu/WardenParser"><span class="namespace-wrapper">Protective Project</span></a></dd>
                                                    
                                                                        </dl>
                    <h2>Tags</h2>
                    <table class="table table-condensed">
                                            <tr>
                            <th>
                                category
                            </th>
                            <td>
                                                                    <p>Entity</p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                author
                            </th>
                            <td>
                                                                    <p>Jorgeley, <a href="mailto:jinacio@theemaillaundry.com">jinacio@theemaillaundry.com</a></p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                license
                            </th>
                            <td>
                                                                    <p><a href="http://https://gitlab.com/protective-h2020-eu/WardenParser">http://https://gitlab.com/protective-h2020-eu/WardenParser</a> Protective Project</p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                access
                            </th>
                            <td>
                                                                    <p>public</p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                uses
                            </th>
                            <td>
                                                                    <p>The Idea Categories</p>
                                                                    <p>Interface for serializable elements</p>
                                                            </td>
                        </tr>
                                        </table>
                </aside>
            </div>

                        
                                    <a id="properties" name="properties"></a>
            <div class="row-fluid">
                <div class="span8 content class">
                    <h2>Properties</h2>
                </div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__id" name="property__id" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_id</h3>
                <pre class="signature">$_id : </pre>
                <p><em>Idea identifier</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__name" name="property__name" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_name</h3>
                <pre class="signature">$_name : </pre>
                <p><em>Idea name</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__hash" name="property__hash" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_hash</h3>
                <pre class="signature">$_hash : </pre>
                <p><em>Hash spam, malware, etc signature</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__format" name="property__format" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_format</h3>
                <pre class="signature">$_format : </pre>
                <p><em>The idea format, it seens that it has just this option</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__detectTime" name="property__detectTime" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_detectTime</h3>
                <pre class="signature">$_detectTime : </pre>
                <p><em>Timestamp of detection in format: 1996-12-19T16:39:57-08:00</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            <dt>See also</dt>
                                                                <dd><a href=""><span class="namespace-wrapper">https://tools.ietf.org/html/rfc3339</span></a></dd>
                                                                </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__category" name="property__category" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_category</h3>
                <pre class="signature">$_category : </pre>
                <p><em>Array Constant idea category</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            <dt>See also</dt>
                                                                <dd><a href="../classes/warden.src.IdeaCategory.html"><span class="namespace-wrapper">\warden\src\IdeaCategory</span></a></dd>
                                                                </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__count" name="property__count" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_count</h3>
                <pre class="signature">$_count : </pre>
                <p><em>How many times the incident happened</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__hex" name="property__hex" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_hex</h3>
                <pre class="signature">$_hex : </pre>
                <p><em>Hexadecimal malware,virus, etc signature</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__active" name="property__active" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$_active</h3>
                <pre class="signature">$_active : </pre>
                <p><em>Confidence of the detection, 0 = false positive, default =1</em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                            
                                    <a id="methods" name="methods"></a>
            <div class="row-fluid">
                <div class="span8 content class"><h2>Methods</h2></div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method___toString" name="method___toString" class="anchor"></a>
            <article class="method">
                <h3 class="public ">__toString()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">__toString() : string</pre>
                <p><em>Just in case if someone try to echo the object</em></p>
                

                
                
                                    <h4>Returns</h4>
                    string
                                            &mdash; <p>This encoded JSON serializable class</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_jsonSerialize" name="method_jsonSerialize" class="anchor"></a>
            <article class="method">
                <h3 class="public ">jsonSerialize()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">jsonSerialize() : array</pre>
                <p><em>JSON idea file representation</em></p>
                

                
                
                                    <h4>Returns</h4>
                    array
                                            &mdash; <p>An array within the class attributes</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getId" name="method_getId" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getId()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getId() : \warden\src\The</pre>
                <p><em>Gets the the IDEA id</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\The
                                            &mdash; <p>idea identifier</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getName" name="method_getName" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getName()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getName() : \warden\src\The</pre>
                <p><em>Gets the the IDEA name</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\The
                                            &mdash; <p>idea file name</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getHash" name="method_getHash" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getHash()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getHash() : \warden\src\The</pre>
                <p><em>Gets the the IDEA hash</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\The
                                            &mdash; <p>Hash spam, malware, etc signature</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getFormat" name="method_getFormat" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getFormat()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getFormat() : \warden\src\The</pre>
                <p><em>Gets the the IDEA format</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\The
                                            &mdash; <p>idea format</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getDetectTime" name="method_getDetectTime" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getDetectTime()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getDetectTime() : \warden\src\The</pre>
                <p><em>Gets the the IDEA detect time</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\The
                                            &mdash; <p>time of detection</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getCategory" name="method_getCategory" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getCategory()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getCategory() : array</pre>
                <p><em>Gets the the IDEA category</em></p>
                

                
                
                                    <h4>Returns</h4>
                    array
                                            &mdash; <p>An array in format ['Category.Subcategory', 'Description']</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getCount" name="method_getCount" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getCount()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getCount() : \warden\src\How</pre>
                <p><em>Gets the the IDEA count</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\How
                                            &mdash; <p>many times the incident happened</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getHex" name="method_getHex" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getHex()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getHex() : \warden\src\Hexadecimal</pre>
                <p><em>Gets the the IDEA hexadecimal</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\Hexadecimal
                                            &mdash; <p>malware, virus, etc signature</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getActive" name="method_getActive" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getActive()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getActive() : \warden\src\The</pre>
                <p><em>Gets the the IDEA status</em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\The
                                            &mdash; <p>confidence of the detection, 0 = false positive, default = 1</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setId" name="method_setId" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setId()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setId(string  <span class="argument">$id</span>) : void</pre>
                <p><em>Sets the idea identifier</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$id </td>
                                <td><p>The string identifier in the format ^[a-zA-Z0-9._-]+$^</p></td>
                            </tr>
                                            </table>
                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setName" name="method_setName" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setName()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setName(string  <span class="argument">$name = &#039;ideaFile&#039;</span>) : void</pre>
                <p><em>Sets the idea name</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$name </td>
                                <td><p>The string name</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setHash" name="method_setHash" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setHash()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setHash(string  <span class="argument">$hash</span>) : void</pre>
                <p><em>Sets the hash spam, malware, etc signature</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$hash </td>
                                <td><p>The hash string in the format (sha1 or md5): sha1:794467071687f7c59d033f4de5ece6b46415b633</p></td>
                            </tr>
                                            </table>
                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setFormat" name="method_setFormat" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setFormat()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setFormat(string  <span class="argument">$format = &quot;IDEA0&quot;</span>) : void</pre>
                <p><em>Sets the idea format, it seens that will be allways &quot;IDEA0&quot;</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$format </td>
                                <td><p>The IDEA format</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setDetectTime" name="method_setDetectTime" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setDetectTime()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setDetectTime(string  <span class="argument">$detectTime</span>) : void</pre>
                <p><em>Sets the idea detect time</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$detectTime </td>
                                <td><p>The string detect time in the format: 1996-12-19T16:39:57-08:00</p></td>
                            </tr>
                                            </table>
                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setCategory" name="method_setCategory" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setCategory()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setCategory(array  <span class="argument">$category</span>) : void</pre>
                <p><em>Sets the idea category</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>array</td>
                                <td>$category </td>
                                <td><p>One of the categories in IdeaCategory class</p></td>
                            </tr>
                                            </table>
                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                                            <dt>See also</dt>
                                                                <dd><a href="../classes/warden.src.IdeaCategory.html"><span class="namespace-wrapper">\warden\src\IdeaCategory</span></a></dd>
                                                                </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setCount" name="method_setCount" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setCount()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setCount(integer  <span class="argument">$count</span>) : void</pre>
                <p><em>Set how many times this incident happened</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>integer</td>
                                <td>$count </td>
                                <td><p>The integer count</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setActive" name="method_setActive" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setActive()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setActive(boolean  <span class="argument">$active</span>) : void</pre>
                <p><em>Set The confidence of the detection, 0 = false positive, default = 1</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>boolean</td>
                                <td>$active </td>
                                <td><p>TRUE = active, FALSE = inactive</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_setHex" name="method_setHex" class="anchor"></a>
            <article class="method">
                <h3 class="public ">setHex()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">setHex(string  <span class="argument">$hexadecimal</span>) : void</pre>
                <p><em>Set the hexadecimal virus, malware, etc signature</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$hexadecimal </td>
                                <td><p>The hexadecimal</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                                                    </div>
    </section>

    <div id="source-view" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="source-view-label" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h3 id="source-view-label">Warden.php</h3>
        </div>
        <div class="modal-body">
            <pre data-src="../files/Warden.php.txt" class="language-php line-numbers"></pre>
        </div>
    </div>

    <footer class="row-fluid">
        <section class="span10 offset2">
            <section class="row-fluid">
                <section class="span10 offset1">
                    <section class="row-fluid footer-sections">
                        <section class="span4">
                                                        <h1><i class="icon-code"></i></h1>
                            <div>
                                <ul>
                                                                            <li><a href="../namespaces/warden.html">\warden</a></li>
                                                                    </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-bar-chart"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../graphs/class.html">Class Hierarchy Diagram</a></li>
                                </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-pushpin"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../reports/errors.html">Errors</a></li>
                                    <li><a href="../reports/markers.html">Markers</a></li>
                                </ul>
                            </div>
                        </section>
                    </section>
                </section>
            </section>
            <section class="row-fluid">
                <section class="span10 offset1">
                    <hr />
                    Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor </a> and authored
                    on May 24th, 2018 at 13:41.
                </section>
            </section>
        </section>
    </footer>
</div>

</body>
</html>
